Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5HasObject

Check whether a dataset with the same name as given object exists in the HDF5 file under current group

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasObject(PetscViewer viewer, PetscObject obj, PetscBool *has)

Collective

## Input Parameters

- viewer - The `PETSCVIEWERHDF5` viewer

- obj - The named object

## Output Parameter

- has - Flag for dataset existence

## Notes

If the object is unnamed, an error occurs.

If the path current_group/object_name exists but is not a dataset, has is set to `PETSC_FALSE` as well.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerHDF5HasDataset()`, `PetscViewerHDF5HasAttribute()`, `PetscViewerHDF5PushGroup()`, `PetscViewerHDF5PopGroup()`, `PetscViewerHDF5GetGroup()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

## Examples

src/ksp/ksp/tutorials/ex27.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages